Languages

Archived - AirPort Card: When You Can Join a WPA Network

A Macintosh with an AirPort Card cannot join a Wi-Fi Protected Access (WPA) network when using earlier software. Learn the requirements for joining a WPA network.

If you don't have the software required to join a WPA network with an AirPort Card, then the password entry dialog appears when you select the AirPort network, and your attempt to join will fail. You see this message:

 

"The password you entered is not correct for the AirPort network <network_name>."

This article has been archived and is no longer updated by Apple.

Requirements for WPA

To join a WPA network, a Macintosh computer must have:

  • an AirPort or AirPort Extreme card (see Note)
  • Mac OS X 10.3 or later
  • AirPort software version 3.3 or later for the AirPort Card (available via Software Update)
  • AirPort software version 3.2 or later for the AirPort Extreme Card (available via Software Update)

 

If you don't know whether the base station is using WPA, contact the base station's administrator. If WPA is not in use, you should verify that your password is correct. If the administrator has enabled the access control list, then your computer's media access control (MAC) address would need to be added.

 

When clients that are not WPA capable must join a network, the administrator should consider using WEP instead.



Note:

This document does not apply to computers using non-Apple wireless cards. Check with the card manufacturer for WPA compatibility information and any required software updates.

This document will be updated as more information becomes available.
Last Modified: May 17, 2013
Helpful?
Yes
No
Not helpful Somewhat helpful Helpful Very helpful Solved my problem
Print this page
  • Last Modified: May 17, 2013
  • Article: HT2594
  • Views:

    152700
  • Rating:
    • 58.0

    (684 Responses)

Additional Product Support Information

Start a Discussion
in Apple Support Communities
See all questions on this article See all questions I have asked